<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class XM_Ingreso extends Model
{
    protected $table = 'XM_ingreso';
    protected $connection = 'escolar';
    protected $fillable = ['confi_id','areaConocimiento_id', 'reactivos'];

    public function configuracion(){
        return $this->belongsTo('App\XM_Confi', 'confi_id', 'id');
    }

    public function asignacion(){
        return $this->hasMany('App\XM_Asignacion', 'ingreso_id', 'id');
    }

    public function enunciado(){
        return $this->hasMany('App\XM_IngresoEnunciado', 'ingreso_id', 'id');
    }

    public function enunciado_total(){
        return $this->hasMany('App\XM_IngresoEnunciado', 'ingreso_id', 'id')->count();
    }

    public function area(){
        return $this->belongsTo('App\XM_AreaConocimiento', 'areaConocimiento_id', 'id');
    }

}
